body {
    background-image: url(images/tausta.gif);
    background-repeat: repeat;
    background-position: 90% 100%;
    background-color: black;
    background-size: 100%;
    margin:  auto;
    color: whitesmoke;
    font-family: Helvetica Neue,Helvetica,Arial,sans-serif; 
}

h1 {
  padding-top: 20px;
  text-align: center;
}

h2 {
  padding-top: 100px;
  text-align: center;
}

.content p {
  color: whitesmoke;
  font-size: 110%;
  margin-left: 5%;
  margin-right: 5%;
  line-height: 1.5;
  word-spacing: 2px;
}
.content img {
  display: block;
  padding-top: 120px;
  max-width: 400px;
  margin-left: auto;
  margin-right: auto;
  width: 50%;
  height: auto;
}

.footer {
  background-color: #333;
  opacity: 95%;
  overflow: hidden;
  width: 100%;
  height: 50px;

}

.footer p {
  margin-left: 2%;
  position: relative;
}

.fb-page {
  width: 100%;
  height: 100%;
  margin-top: 5%;
  margin-bottom: 5%;
}

#mapid { 
  height: 350px;
  width: 100%;
  margin-top: 10%;
  margin-bottom: 5%;
} 

.gallery {
  height: 100%;
  color: whitesmoke;
  font-size: 100%;
  line-height: 2.0;
  word-spacing: 4px;
}

.yhteys {
  height: 100%;
  color: whitesmoke;
  font-size: 100%;
  line-height: 2.0;
  word-spacing: 4px;
}

.contact {
  color: whitesmoke;
  font-size: 120%;
  margin-left: 5%;
  margin-right: 5%;
  line-height: 1.5;
  word-spacing: 2px;
}

/* header */

.header {
  background-color: #333;
  opacity: 95%;
  overflow: hidden;
  box-shadow: 1px 1px 4px 0 rgba(0,0,0,.1);
  width: 100%;
  padding-top: 15px;
  padding-bottom: 15px;
  position: fixed;
  top: 0;
  z-index: 1;
}
.header a {
    display: block;
    color: white;
    background-color: #3330;
    padding: 40px 40px;
    text-decoration: none;
    font-size: 25px;
}

.header ul {
  margin: 0;
  padding: 0;
  list-style: none;
  overflow: hidden;
  background-color: #3330;
}

.header a:hover {
  color: #d48702;
  transition: 0.6s;
}

.header li a {
  display: block;
  padding: 20px 20px;
  text-decoration: none;
}

.header .logo {
  display: block;
  float: left;
  font-size: 2em;
  padding: 10px 20px;
  text-decoration: none;
}

/* menu */

.header .menu {
  clear: both;
  max-height: 0;
  transition: max-height 0.4s ease-out;
}

/* menu icon */

.header .menu-icon {
  cursor: pointer;
  float: right;
  padding: 28px 40px;
  position: relative;
  user-select: none;
}

.header .menu-icon .navicon {
  background: #f4f4f4;
  display: block;
  height: 4px;
  position: relative;
  transition: background .6s ease-out;
  width: 40px;
}

.header .menu-icon .navicon:before,
.header .menu-icon .navicon:after {
  background: #f4f4f4;
  content: '';
  display: block;
  height: 100%;
  position: absolute;
  transition: all .2s ease-out;
  width: 100%;
}

.header .menu-icon .navicon:before {
  top: 12px;
}

.header .menu-icon .navicon:after {
  top: -12px;
}

/* menu btn */

.header .menu-btn {
  display: none;
}

.header .menu-btn:checked ~ .menu {
  max-height: 240px;
}

.header .menu-btn:checked ~ .menu-icon .navicon {
  background: transparent;
}

.header .menu-btn:checked ~ .menu-icon .navicon:before {
  transform: rotate(-45deg);
  background-color: #d48702;
  transition: 0.6s;
}

.header .menu-btn:checked ~ .menu-icon .navicon:after {
  transform: rotate(45deg);
  background-color: #d48702;
  transition: 0.6s;
}

.header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:before,
.header .menu-btn:checked ~ .menu-icon:not(.steps) .navicon:after {
  top: 0;
}

/* The grid: Four equal columns that floats next to each other */
.column {
  display: flex;
  float: left;
  width: 32%;
  height: 32%;
  padding: 2px;
}

/* Style the images inside the grid */
.column img {
  width: 100%;
  height: 100%;
  opacity: 1; 
  cursor: pointer; 
}

.column img:hover {
  opacity: 0.6;
  transition: 0.5s;
}

.row {
  margin-left: 1%;
}

/* Clear floats after the columns */
.row:after {
  content: "";
  display: table;
  clear: both;
}

/* The expanding image container */
.container {
  position: relative;
  display: none;
}

#expandedImg {
  max-width: 90%;
  margin-left: 5%;
  cursor: pointer;
}


/* Expanding image text */
#imgtext {
  position: absolute;
  bottom: 15px;
  left: 15px;
  color: white;
  font-size: 20px;
}

@media (min-width: 1317px) {
  .header li {
    float: left;
  }
  .header li a {
    padding: 20px 30px;
  }
  .header .menu {
    clear: none;
    float: right;
    max-height: none;
  }
  .header .menu-icon {
    display: none;
  }
}
